{% extends 'basepartials/base.html' %}
{% load static %}
{% block title %}Oportunidad de Venta{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/select/1.2.7/css/select.bootstrap4.min.css">
<link href="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/css/bootstrap-editable.css" rel="stylesheet"/>
<style>
  .dataTables_filter {display: none;}
</style>
{% endblock %}
{% block content %}

<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
  <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
                {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
    <div class="card-body" style="margin: 0;">
      <div class="row">
        <div class="col-md-8">
          <h2>Oportunidad de Venta</h2>
        </div>
        <div class="col-md-4" style="text-align: right">
          <div id="buttons-op">
            {% if 'gesco.so-create' in permissions %}
            <a style="padding: 2px;" href="{% url 'sale_opportunity:saleopportunity-create' %}" type="button"
               class="btn btn-default btn-lg btn-light"
               data-toggle="tooltip" title="Agregar Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/add_opportunity.png' %}"
                   alt="">
            </a>
            {% endif %}

            <a id="ver-oportunidad" style="padding: 2px;" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver detalle de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/detail_opportunity.png' %}" alt="">
            </a>
            {% if 'gesco.so-update' in permissions %}
            <a id="editar-oportunidad" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Editar Oportunidad">
                  <img style="width: 30px;height: 32px;" class="img-light" src="{% static 'img/edit_opportunity.png' %}" alt="">
            </a>
            {% endif %}
            {% if 'gesco.so-delete' in permissions %}
            <a id="confirmar-remover-oportunidad"
               style="padding: 2px;" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               title="Eliminar oportunidad"
               data-toggle="modal"
               data-target="#modalOpportunityDelete">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/delete_opportunity.png' %}" alt="">
            </a>
            {% endif %}
             <a id="activities-list" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver Actividades de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/activities.png' %}" alt="">
            </a>
            <a id="attached-file-list" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver Archivos Adjuntos de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/attached_file.png' %}" alt="">
            </a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <table id="oportunidades"
                 class="table table-striped table-bordered"
                 cellspacing="0" width="100%">
            <thead>
            <tr style="background-color: #337ab7;color: white;">
              <th></th>
              <th>Código</th>
              <th>Cliente</th>
              <th>Fase</th>
              <th>Producto</th>
              <th>SubProducto</th>
              <th>Nro. cuotas</th>
              <th>Ingreso estimado</th>
              <th>Ingreso real</th>
              <th>Fecha Creación</th>
              <th>Fecha Modificación</th>
            </tr>
            <tr id="tr_search">
              <th id="op-check"></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
            </tr>
            </thead>
            <tbody>
            {% for oportunidad in oportunidades %}
            <tr id="{{ oportunidad.id }}">
              <td></td>
              <td title="{{ oportunidad.code }}">{{ oportunidad.manual_code }}</td>
              <td title="{{ oportunidad.client.name }}">{{ oportunidad.client.name }}</td>
              <td title="{{ oportunidad.phase.name }}">{{ oportunidad.phase.name }}</td>
              <td title="{{ oportunidad.subproduct.producto }}"> {{ oportunidad.subproduct.product.name }}</td>
              <td title="{{ oportunidad.subproduct.name }}">{{ oportunidad.subproduct.name }}</td>
              <td title="{{ oportunidad.installments|default_if_none:'-' }}">{{ oportunidad.installments|default_if_none:'-' }}</td>
              <td title="{{ oportunidad.revenue }}">{{ oportunidad.revenue }}</td>
              <td title="{{ oportunidad.real_revenue }}">{{ oportunidad.real_revenue|default_if_none:'-' }}</td>
              <td title="{{ oportunidad.created_at }}">{{ oportunidad.created_at | date:'d-m-Y'  }}</td>
              <td title="{{ oportunidad.last_modified }}">{{ oportunidad.last_modified | date:'d-m-Y' }}</td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <input type="hidden" id="exp_ids" value="-1"/>
  <!-- oportunidad detalle -->
  <div class="card" id="panel-table-detalle-oportunidad">
    <div id="panel-detalle-oportunidad" class="card-body">
      <div class="row">
        <div class="col-md-12">
          <h3>Detalle de Oportunidad de Venta: Facturado (S/ <span id="detalle-pagado">0</span>) - Pendiente (S/ <span id="detalle-pendiente">0</span>)</h3>
        </div>
        <div class="col-md-4" style="text-align: right">
          <div id="control-buttons">
            <a id="ver-documento" style="padding: 2px;" type="button" data-toggle="tooltip" hidden="True"
               title="Ver detalle de Oportunidad">
              <!--class="btn btn-default btn-lg btn-light has-select"> -->

              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/detail_opportunity.png' %}" alt="">
            </a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <table id="movimientos"
                 class="table table-striped table-bordered"
                 cellspacing="0" width="100%">
            <thead>
            <tr style="background-color: #337ab7; color: white;">
              <th></th>
              <th>Num de Oportunidad</th>
              <th>Mes-Año</th>
              <th>Ingreso Parcial</th>
              <th>Fecha Creación</th>
              <th>Fecha Modificación</th>
              <th>Facturado?</th>
              <th>Fecha de facturación </th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
            </tr>
            </tbody>
          </table>
          <ul id="pagination-demo" class="pagination-sm"></ul>
        </div>

      </div>
    </div>
  </div>
  <!-- fin Oportunidad detalle -->
</div>
<div class="modal fade" id="modalOpportunityDelete">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Eliminar Oportunidad</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        ¿ Está seguro de eliminar la oportunidad de venta ?
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button"
                class="btn btn-danger"
                data-dismiss="modal">
          Cancelar
        </button>
        <button id="btnRemoverConfirmacionOpportunity"
                type="button"
                class="btn btn-default"
                data-dismiss="modal">
          Eliminar
        </button>
        <form id="remover-oportunidad" style="display: inline"
              action=""
              method="post">{% csrf_token %}
        </form>
      </div>

    </div>
  </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/select/1.2.7/js/dataTables.select.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/js/bootstrap-editable.min.js"></script>

<script>
  window.urls = {
    apiDetailOpVentas: "{% url 'sale_opportunity:api-detail-op-ventas' %}",
    removeOpportunity: "{% url 'sale_opportunity:remove-opportunity' 999 %}",
    editOpportunity: "{% url 'sale_opportunity:edit-opportunity' 999 %}",
    fechaDetalleFacturado: "{% url 'sale_opportunity:detalle-fecha-facturacion' %}",
    ingresoParcialDetalle: "{% url 'sale_opportunity:detalle-ingreso-parcial' %}",
    activities: "{% url 'sale_opportunity:activity-list' 999 %}",
    attached_files: "{% url 'sale_opportunity:attached-file-list' 999 %}",
    verOportunidad: "{% url 'sale_opportunity:saleopportunity-detail' 999 %}"
  }
</script>
<script src="{% static 'js/sale_opportunity_list.js' %}"></script>

{% endblock %}